## mygui 3.2.2

=== Platforms/CMakeLists.txt ===
if(MYGUI_RENDERSYSTEM EQUAL 1)
  add_subdirectory(Dummy/DummyPlatform)
elseif(MYGUI_RENDERSYSTEM EQUAL 3)
  add_subdirectory(Ogre/OgrePlatform)
elseif(MYGUI_RENDERSYSTEM EQUAL 4)
  add_subdirectory(OpenGL/OpenGLPlatform)
elseif(MYGUI_RENDERSYSTEM EQUAL 5)
  add_subdirectory(DirectX/DirectXPlatform)
elseif(MYGUI_RENDERSYSTEM EQUAL 6)
  add_subdirectory(DirectX11/DirectX11Platform)
endif()
