=== UnitTests/TestApp/CMakeLists.txt ===
mygui_unit_test(TestApp)
