=== UnitTests/UnitTest_GraphView/CMakeLists.txt ===
mygui_unit_test(UnitTest_GraphView)
