=== debian/changelog ===
mygui (3.2.2-4) unstable; urgency=medium

  * Merge to unstable
  * Reset SONAME, no need to bump

 -- Scott Howard <showard@debian.org>  Mon, 31 Aug 2015 16:59:24 -0400

mygui (3.2.2-3) experimental; urgency=medium

  * Bump SONAME to *debian2 for GCC transition
    - updated symbols files

 -- Scott Howard <showard@debian.org>  Wed, 12 Aug 2015 12:38:17 -0400

mygui (3.2.2-2) unstable; urgency=medium

  [ Bret Curtis ]
  * Merge from experimental to unstable

  [ Scott Howard ]
  * debian/mygui-doc.links to link to libjs-jquery

 -- Bret Curtis <psi29a@gmail.com>  Mon, 01 Jun 2015 08:21:00 +0100

mygui (3.2.2-1) experimental; urgency=medium

  * New upstream release

 -- Bret Curtis <psi29a@gmail.com>  Wed, 04 Feb 2015 08:21:00 +0100
