=== debian/watch ===
version=3
https://github.com/MyGUI/mygui/releases .*/archive/MyGUI([\d\.]*)\.tar.gz
