=== Demos/CMakeLists.txt ===
add_subdirectory(Demo_Colour)
add_subdirectory(Demo_Console)
add_subdirectory(Demo_Controllers)
add_subdirectory(Demo_Gui)
add_subdirectory(Demo_ItemBox)
add_subdirectory(Demo_PanelView)
add_subdirectory(Demo_Picking)
if (MYGUI_BUILD_PLUGINS)
	add_subdirectory(Demo_PluginStrangeButton)
	if (MYGUI_BUILD_BERKELIUM_PLUGIN)
		add_subdirectory(Demo_PluginBerkeliumWidget)
	endif ()
endif ()
add_subdirectory(Demo_RenderBox)
add_subdirectory(Demo_ScrollView)
add_subdirectory(Demo_Themes)
add_subdirectory(Demo_Pointers)
