=== Demos/Demo_Pointers/CMakeLists.txt ===
mygui_demo(Demo_Pointers)
