=== Tools/FontEditor/CMakeLists.txt ===
mygui_tool(FontEditor)
