=== debian/changelog ===
mygui (3.2.2+dfsg-2build2) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 02 Feb 2020 20:21:19 +0100

mygui (3.2.2+dfsg-2build1) disco; urgency=medium

  * No-change rebuild against latest glew

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 23 Nov 2018 20:00:29 -0500

mygui (3.2.2+dfsg-2) unstable; urgency=medium

  * Fix Ubuntu Bug: 1516256; Missing MyGUI_OpenGLImageLoader.h
  * Updated vcs-* to point to salsa
  * Fixed a few lintian issues
  * Updated symbols file to match the latest changes in gcc-7

 -- Bret Curtis <psi29a@gmail.com>  Thu, 11 Oct 2018 13:30:43 +0100

mygui (3.2.2+dfsg-1) unstable; urgency=medium

  * Set priority from extra to optional.
  * Install pkgconfig files into multiarch directories.
  * Bumped debhelper and control to 11.
  * Stripped windows binaries from source, making it dfsg.

 -- Bret Curtis <psi29a@gmail.com>  Thu, 11 Jan 2018 13:30:43 +0100

mygui (3.2.2-6) unstable; urgency=medium

  * debian/copyright_hints: Remove
  * Update Standards-Version to 4.1.3 (no changes required)
  * Rebuild with g++ 7 to pick up name-mangling changes and be compatible
    with recently-rebuilt dependencies (Closes: #871235, #871299)

 -- Bret Curtis <psi29a@gmail.com>  Fri, 29 Dec 2017 00:36:13 +0100

mygui (3.2.2-5) unstable; urgency=medium

  [ Scott Howard ]
  * Updated symbols, use pkgdke_symbolshelper dh sequence

  [ Bret Curtis ]
  * Update Standards-Version and fix VCS fields

 -- Scott Howard <showard@debian.org>  Thu, 03 Sep 2015 10:59:18 -0400
