=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: mygui
 Priority: optional
-Maintainer: Bret Curtis <psi29a@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bret Curtis <psi29a@gmail.com>
 Uploaders: Scott Howard <showard@debian.org>
-Build-Depends: cmake, doxygen, debhelper (>= 9), libogre-1.9-dev,
- libfreetype6-dev (>= 2.5.1), pkg-config, graphviz, libgl1-mesa-dev, libglew-dev
+Build-Depends: cmake, doxygen, debhelper (>= 11), g++ (>= 4:7), libogre-1.9-dev,
+ pkg-kde-tools, libfreetype6-dev (>= 2.5.1), pkg-config, graphviz,
+ libgl1-mesa-dev, libglew-dev
 Homepage: http://www.ogre3d.org/tikiwiki/MyGUI
-Standards-Version: 3.9.6
+Standards-Version: 4.2.1
 Section: libs
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mygui.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/mygui.git
+Vcs-Browser: https://salsa.debian.org/psi29a-guest/mygui
+Vcs-Git: https://salsa.debian.org/psi29a-guest/mygui.git
 
 Package: libmygui-dev
 Section: libdevel
@@ -37,7 +39,7 @@
     Possibility to store any data in widgets items.
     Skin themes.
     Wrappers for fast UI development.
-    Drag'n'drop. 
+    Drag'n'drop.
  .
  This package contains the headers and static libraries needed to develop
  programs using MyGUI.
@@ -70,34 +72,6 @@
  .
  This package contains the MyGUI runtime engine.
 
-Package: libmyguiengine3debian1v5-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends: ${misc:Depends}, libmyguiengine3debian1v5 (= ${binary:Version})
-Description: Fast, simple and flexible GUI - debugging symbols
- MyGUI is a GUI library which aims to be fast, flexible and simple GUIs in C++.
-  Features include
-    Layout Editor.
-    Multicolour text.
-    Per pixel cut.
-    Changing alpha support for widgets (also in states configuration).
-    Interface localisation.
-    Fast RTTI for safe casts.
-    Tool tips.
-    Animated cursors and pictures.
-    User xml resources.
-    Truetype fonts and fonts from texture.
-    Widgets controllers (moving, fading and so on).
-    Flexible configuration in xml config file.
-    Subskins with tiling, with direct access to texture.
-    Possibility to store any data in widgets items.
-    Skin themes.
-    Wrappers for fast UI development.
-    Drag'n'drop.
- .
- This package contains the MyGUI runtime engine debugging symbols.
-
 Package: libmygui.ogreplatform0debian1v5
 Architecture: any
 Conflicts: libmygui.ogreplatform0debian1
@@ -125,35 +99,6 @@
     Drag'n'drop.
  .
  This package contains the MyGUI interface to the Ogre graphics engine.
-
-Package: libmygui.ogreplatform0debian1v5-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends: ${misc:Depends}, libmygui.ogreplatform0debian1v5 (= ${binary:Version})
-Description: Fast, simple and flexible GUI Ogre - debugging symbols
- MyGUI is a GUI library which aims to be fast, flexible and simple GUIs in C++.
-  Features include
-    Layout Editor.
-    Multicolour text.
-    Per pixel cut.
-    Changing alpha support for widgets (also in states configuration).
-    Interface localisation.
-    Fast RTTI for safe casts.
-    Tool tips.
-    Animated cursors and pictures.
-    User xml resources.
-    Truetype fonts and fonts from texture.
-    Widgets controllers (moving, fading and so on).
-    Flexible configuration in xml config file.
-    Subskins with tiling, with direct access to texture.
-    Possibility to store any data in widgets items.
-    Skin themes.
-    Wrappers for fast UI development.
-    Drag'n'drop.
- .
- This package contains the MyGUI interface to the Ogre graphics engine debugging
- symbols.
 
 Package: libmygui.openglplatform0debian1v5
 Architecture: any
@@ -183,34 +128,6 @@
  .
  This package contains the MyGUI interface for OpenGL.
 
-Package: libmygui.openglplatform0debian1v5-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends: ${misc:Depends}, libmygui.openglplatform0debian1v5 (= ${binary:Version})
-Description: Fast, simple and flexible GUI OpenGL - debugging symbols
- MyGUI is a GUI library which aims to be fast, flexible and simple GUIs in C++.
-  Features include
-    Layout Editor.
-    Multicolour text.
-    Per pixel cut.
-    Changing alpha support for widgets (also in states configuration).
-    Interface localisation.
-    Fast RTTI for safe casts.
-    Tool tips.
-    Animated cursors and pictures.
-    User xml resources.
-    Truetype fonts and fonts from texture.
-    Widgets controllers (moving, fading and so on).
-    Flexible configuration in xml config file.
-    Subskins with tiling, with direct access to texture.
-    Possibility to store any data in widgets items.
-    Skin themes.
-    Wrappers for fast UI development.
-    Drag'n'drop.
- .
- This package contains the MyGUI interface for OpenGL debugging symbols.
-
 Package: mygui-doc
 Section: doc
 Architecture: all
