## mygui 3.4.1%2Bdfsg

=== Demos/CMakeLists.txt ===
--- 
+++ 
@@ -15,3 +15,4 @@
 add_subdirectory(Demo_ScrollView)
 add_subdirectory(Demo_Themes)
 add_subdirectory(Demo_Pointers)
+add_subdirectory(Demo_MsdfFont)
