=== UnitTests/UnitTest_Spline/CMakeLists.txt ===
mygui_unit_test(UnitTest_Spline)
